Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum WayType

    java.lang.Object
      java.lang.Enum<WayType>
          org.ka2ddo.yaac.osm.WayType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WayType>, EnumWithImageName, MaybeArea, VisibleEnum

    public enum WayType

extends java.lang.Enum<WayType>
implements VisibleEnum, MaybeArea, EnumWithImageName

This enumeration lists all the supported categories of Ways that can be rendered on the map.

Enum Constant Summary
`AMENITY`
`AWY_AERODROME`
`AWY_APRON`
`AWY_RUNWAY`
`AWY_TAXIWAY`
`AWY_UNKNOWN`
`BDY_ADMIN_1`
`BDY_ADMIN_10`
`BDY_ADMIN_11`
`BDY_ADMIN_2`
`BDY_ADMIN_3`
`BDY_ADMIN_4`
`BDY_ADMIN_5`
`BDY_ADMIN_6`
`BDY_ADMIN_7`
`BDY_ADMIN_8`
`BDY_ADMIN_9`
`BDY_ADMINISTRATIVE`
`BDY_COASTLINE`
`BDY_LANDUSE_FOREST`
`BDY_LANDUSE_GREEN`
`BDY_LANDUSE_INDUSTRIAL`
`BDY_MARITIME`
`BDY_PARK`
`BDY_PROTECTED_AREA`
`BDY_SUBDIVISION`
`BDY_UNKNOWN`
`DONT_SHOW`
`HWY_BRIDLEWAY`
`HWY_BUS_GUIDEWAY`
`HWY_BYWAY`
`HWY_CYCLEWAY`
`HWY_FOOTWAY`
`HWY_LIVING_STREET`
`HWY_MOTORWAY`
`HWY_MOTORWAY_LINK`
`HWY_PATH`
`HWY_PRIMARY`
`HWY_PRIMARY_LINK`
`HWY_RACEWAY`
`HWY_RESIDENTIAL`
`HWY_REST_AREA`
`HWY_ROAD`
`HWY_SECONDARY`
`HWY_SECONDARY_LINK`
`HWY_SERVICE`
`HWY_SERVICES`
`HWY_TERTIARY`
`HWY_TRACK`
`HWY_TRUNK`
`HWY_TRUNK_LINK`
`HWY_UNCLASSIFIED`
`NAT_WETLAND`
`PWR_LINE`
`RWY_DISUSED`
`RWY_LIGHT_RAIL`
`RWY_MONORAIL`
`RWY_RAIL`
`RWY_TRAM`
`RWY_UNKNOWN`
`WWY_CANAL`
`WWY_DITCH`
`WWY_RAPIDS`
`WWY_RIVER`
`WWY_RIVERBANK`
`WWY_STREAM`
`WWY_UNKNOWN`
`WWY_WATERFALL`

Method Summary
`int` | `getDefaultLaneCount()` Get the number of lanes normally associated with this type of road.
`java.lang.String` | `getImagePath()` Return the relative path name of the image file for this enum value.
`float` | `getMaxLabelZoom()`
`float` | `getMaxZoomLevel()`
`java.awt.Paint` | `getPaint()`
`java.awt.Stroke` | `getStroke()`
`boolean` | `isArea()` Indicates whether this enum type implies an area.
`boolean` | `isVisible()` Indicate whether OSM objects tagged with this enum are visible.
`static WayType[]` | `nonClonedValues()`
`void` | `setVisible(boolean visible)` Set whether OSM objects tagged with this enum should be visible.
`static WayType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ka2ddo.yaac.osm.VisibleEnum
`name, toString`

Enum Constant Detail

### HWY_MOTORWAY

    public static final WayType HWY_MOTORWAY

### HWY_MOTORWAY_LINK

    public static final WayType HWY_MOTORWAY_LINK

### HWY_TRUNK

    public static final WayType HWY_TRUNK

### HWY_TRUNK_LINK

    public static final WayType HWY_TRUNK_LINK

### HWY_PRIMARY

    public static final WayType HWY_PRIMARY

### HWY_PRIMARY_LINK

    public static final WayType HWY_PRIMARY_LINK

### HWY_SECONDARY

    public static final WayType HWY_SECONDARY

### HWY_SECONDARY_LINK

    public static final WayType HWY_SECONDARY_LINK

### HWY_TERTIARY

    public static final WayType HWY_TERTIARY

### HWY_RESIDENTIAL

    public static final WayType HWY_RESIDENTIAL

### HWY_UNCLASSIFIED

    public static final WayType HWY_UNCLASSIFIED

### HWY_ROAD

    public static final WayType HWY_ROAD

### HWY_LIVING_STREET

    public static final WayType HWY_LIVING_STREET

### HWY_SERVICE

    public static final WayType HWY_SERVICE

### HWY_TRACK

    public static final WayType HWY_TRACK

### HWY_RACEWAY

    public static final WayType HWY_RACEWAY

### HWY_SERVICES

    public static final WayType HWY_SERVICES

### HWY_REST_AREA

    public static final WayType HWY_REST_AREA

### HWY_BUS_GUIDEWAY

    public static final WayType HWY_BUS_GUIDEWAY

### HWY_PATH

    public static final WayType HWY_PATH

### HWY_CYCLEWAY

    public static final WayType HWY_CYCLEWAY

### HWY_FOOTWAY

    public static final WayType HWY_FOOTWAY

### HWY_BRIDLEWAY

    public static final WayType HWY_BRIDLEWAY

### HWY_BYWAY

    public static final WayType HWY_BYWAY

### WWY_UNKNOWN

    public static final WayType WWY_UNKNOWN

### WWY_STREAM

    public static final WayType WWY_STREAM

### WWY_RIVER

    public static final WayType WWY_RIVER

### WWY_RIVERBANK

    public static final WayType WWY_RIVERBANK

### WWY_CANAL

    public static final WayType WWY_CANAL

### WWY_DITCH

    public static final WayType WWY_DITCH

### WWY_RAPIDS

    public static final WayType WWY_RAPIDS

### WWY_WATERFALL

    public static final WayType WWY_WATERFALL

### RWY_RAIL

    public static final WayType RWY_RAIL

### RWY_TRAM

    public static final WayType RWY_TRAM

### RWY_LIGHT_RAIL

    public static final WayType RWY_LIGHT_RAIL

### RWY_DISUSED

    public static final WayType RWY_DISUSED

### RWY_MONORAIL

    public static final WayType RWY_MONORAIL

### RWY_UNKNOWN

    public static final WayType RWY_UNKNOWN

### AWY_UNKNOWN

    public static final WayType AWY_UNKNOWN

### AWY_AERODROME

    public static final WayType AWY_AERODROME

### AWY_RUNWAY

    public static final WayType AWY_RUNWAY

### BDY_UNKNOWN

    public static final WayType BDY_UNKNOWN

### BDY_LANDUSE_FOREST

    public static final WayType BDY_LANDUSE_FOREST

### BDY_SUBDIVISION

    public static final WayType BDY_SUBDIVISION

### BDY_MARITIME

    public static final WayType BDY_MARITIME

### BDY_COASTLINE

    public static final WayType BDY_COASTLINE

### BDY_PARK

    public static final WayType BDY_PARK

### BDY_PROTECTED_AREA

    public static final WayType BDY_PROTECTED_AREA

### BDY_ADMINISTRATIVE

    public static final WayType BDY_ADMINISTRATIVE

### PWR_LINE

    public static final WayType PWR_LINE

### DONT_SHOW

    public static final WayType DONT_SHOW

### AMENITY

    public static final WayType AMENITY

### NAT_WETLAND

    public static final WayType NAT_WETLAND

### BDY_ADMIN_1

    public static final WayType BDY_ADMIN_1

### BDY_ADMIN_2

    public static final WayType BDY_ADMIN_2

### BDY_ADMIN_3

    public static final WayType BDY_ADMIN_3

### BDY_ADMIN_4

    public static final WayType BDY_ADMIN_4

### BDY_ADMIN_5

    public static final WayType BDY_ADMIN_5

### BDY_ADMIN_6

    public static final WayType BDY_ADMIN_6

### BDY_ADMIN_7

    public static final WayType BDY_ADMIN_7

### BDY_ADMIN_8

    public static final WayType BDY_ADMIN_8

### BDY_ADMIN_9

    public static final WayType BDY_ADMIN_9

### BDY_ADMIN_10

    public static final WayType BDY_ADMIN_10

### BDY_ADMIN_11

    public static final WayType BDY_ADMIN_11

### BDY_LANDUSE_GREEN

    public static final WayType BDY_LANDUSE_GREEN

### BDY_LANDUSE_INDUSTRIAL

    public static final WayType BDY_LANDUSE_INDUSTRIAL

### AWY_TAXIWAY

    public static final WayType AWY_TAXIWAY

### AWY_APRON

    public static final WayType AWY_APRON

Method Detail

### values

    public static WayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WayType c : WayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WayType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getPaint

    public final java.awt.Paint getPaint()

### getStroke

    public final java.awt.Stroke getStroke()

### getMaxZoomLevel

    public final float getMaxZoomLevel()

### getMaxLabelZoom

    public final float getMaxLabelZoom()

### nonClonedValues

    public static WayType[] nonClonedValues()

### isVisible

    public boolean isVisible()

  Indicate whether OSM objects tagged with this enum are visible.

  Specified by:
    `isVisible` in interface `VisibleEnum`
  Returns:
    boolean true if object should be visible

### setVisible

    public void setVisible(boolean visible)

  Set whether OSM objects tagged with this enum should be visible.

  Specified by:
    `setVisible` in interface `VisibleEnum`
  Parameters:
    `visible` - boolean true if tagged objects should be visible

### isArea

    public boolean isArea()

  Indicates whether this enum type implies an area.

  Specified by:
    `isArea` in interface `MaybeArea`
  Returns:
    boolean true if Ways with this attribute value are assumed to be areas

### getDefaultLaneCount

    public int getDefaultLaneCount()

  Get the number of lanes normally associated with this type of road.

  Returns:
    lane count for a one-way version of this road (or approximation for non-roads)

### getImagePath

    public java.lang.String getImagePath()

  Return the relative path name of the image file for this enum value.

  Specified by:
    `getImagePath` in interface `EnumWithImageName`
  Returns:
    path name String, or a two-character APRS symbol table ID and code

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD